using System.Collections.Generic;

namespace InABox.Integration.Awg
{
    public interface IAwgBOM<TGroup, TStyle, TSupplier,TProfile, TGasket, TComponent, TGlass, TLabour> : IIntegrationBOM
        where TGroup : IAwgGroup
        where TStyle : IAwgStyle
        where TSupplier : IAwgSupplier
        where TProfile : IAwgProfile
        where TGasket : IAwgGasket
        where TComponent : IAwgComponent
        where TGlass : IAwgGlass
        where TLabour : IAwgLabour
    {
        IEnumerable<TGroup> Groups { get; set; }
        IEnumerable<TStyle> Styles { get; set; }
        IEnumerable<TSupplier> Suppliers { get; set; }
        IEnumerable<TProfile> Profiles { get; set; }
        IEnumerable<TGasket> Gaskets { get; set; }
        IEnumerable<TComponent> Components { get; set; }
        IEnumerable<TGlass> Glass { get; set; }
        IEnumerable<TLabour> Labour { get; set; }
    }
    
    
    
}